# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "duplex"
version = "0.2.0"
authors = ["Dan Gohman <dev@sunfishcode.online>"]
description = "The Duplex trait: interactive streams"
readme = "README.md"
keywords = ["io"]
categories = ["rust-patterns"]
license = "Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT"
repository = "https://github.com/sunfishcode/duplex"
[dependencies.char-device]
version = "0.2.0"
optional = true

[dependencies.duplexify]
version = "1.2.2"
optional = true

[dependencies.futures-io]
version = "0.3.12"
optional = true

[dependencies.readwrite]
version = "0.1.2"
optional = true

[dependencies.serialport]
version = "4.0.0"
optional = true

[dependencies.socketpair]
version = "0.5.0"
optional = true

[dependencies.ssh2]
version = "0.9.0"
optional = true

[dependencies.tokio]
version = "1.1.0"
optional = true
[badges.maintenance]
status = "actively-developed"
